
D4Science Infrastructure - VM Creation #11126

Access to a VM with Geoserver v2.10 istance

Feb 07, 2018 12:12 PM - Vincenzo Terrano

Status: Closed Start date: Feb 07, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: WP07   

Infrastructure: Development Applications list and

version:

geoserver 2.10

RAM: 4 Applications context

path:

geoserver

CPU: 2 External storage data

disk:

 

DiskSpace: 20 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: latest PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/devNext/NextNext   

Description

In order to test GeoServer migration, a VM with GeoServer v2.10 istance is required.

Related issues:

Related to D4Science Infrastructure - Task #10956: Clone geoserver.d4science.org Closed Jan 17, 2018

History

#1 - Feb 07, 2018 08:06 PM - Andrea Dell'Amico

- Related to Task #10956: Clone geoserver.d4science.org added

#2 - Feb 07, 2018 08:06 PM - Andrea Dell'Amico

- Tracker changed from Support to VM Creation

- RAM set to 4

- CPU set to 2

- DiskSpace set to 20

- Smartgears set to Yes

- Applications list and version updated

- Applications context path updated

- data transfer enabled set to Yes

- PostgreSQL database set to Yes

- Number of VMs set to 1

Do you also need all the old data?

#3 - Feb 07, 2018 08:07 PM - Andrea Dell'Amico

What smartgears scopes?

#4 - Feb 08, 2018 02:20 PM - Ciro Formisano

Dear Andrea,
Vincenzo and I do not know exactly if there will be any problem by choosing a certain scope. I would suggest to use nextnext of eng environment, but

I would also ask @fabio.sinibaldi@isti.cnr.it if this could be a good solution.

#5 - Feb 08, 2018 03:10 PM - Fabio Sinibaldi

For the sake of migration tests there are no constraints in scopes, thus I support the suggestion of /gcube/devNext/NextNext

#6 - Feb 08, 2018 04:33 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Smartgears Version set to latest

- Smartgears scopes updated

hostname and IP are going to be: geoserver2-d.dev.d4science.org 146.48.122.252

#7 - Feb 08, 2018 05:37 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The VM is up, with a geoserver 2.10.5 installed and configured. All the databases descripted in #10956 are accessible as user reader

#8 - Feb 09, 2018 03:56 PM - Vincenzo Terrano

The "GEOSERVER_DATA_DIR" environment variable has to point to /home/gcube/tomcat/webapps/geoserver/data folder.

I can't add data to the default path /srv/geoserver_data or change the path inside /etc/default/tomcat-instance-9000.local

#9 - Feb 09, 2018 04:22 PM - Andrea Dell'Amico

Vincenzo Terrano wrote:

The "GEOSERVER_DATA_DIR" environment variable has to point to /home/gcube/tomcat/webapps/geoserver/data folder.

I can't add data to the default path /srv/geoserver_data

 Why not? that directory is owned by the gcube user, nothing prevents you to write there. The new geoservers are going to have the data directory

outside the application directory, anyway.

#10 - Feb 09, 2018 04:41 PM - Vincenzo Terrano

I tried to add the data folder in /srv/. No problem, I'll put the data folder contents in /srv/geoserver_data.

#11 - Feb 17, 2018 01:32 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Powered by TCPDF (www.tcpdf.org)

Apr 30, 2025 2/2

https://redmine.dev.d4science.org/issues/10956
http://www.tcpdf.org

